<?php

session_cache_limiter('nocache');
session_start();

if ($_SESSION['login']!="ok") {
	session_destroy();
	header('Location:login.php');
}

if (!preg_match("/^freeml$|^host$|^ip$|^mail$/", $_GET['l'])) {
	$error = "存在しないリストです。";
	include("../parts/error.php");
	exit();
}

include_once("../config.php");
require_once("../function/get_data.php");
require_once("../function/stz_data.php");

$conn = new dbData("../db/".DB_NAME);
$config = $conn->config;

$list = $_GET['l'];

switch ($list) {

	case "freeml":
	$title = "フリーメール";
	break;
	
	case "host":
	$title = "ホスト";
	break;

	case "ip":
	$title = "IPアドレス";
	break;

	case "mail":
	$title = "メールアドレス";
	break;

}

$file = '../db/rjct_'.$list.'.txt';

if (intval($_POST['update'])==1) {
	$data = stz($_POST['data']);
	$chg = file_put_contents($file, $data);

	if ($chg) {
		$result = "リストを更新しました。";
	} else {
		$result = "リストにデータはありません。";
	}

	include("result.php");
	exit();

}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>登録拒否リスト編集｜<?php echo $title ?></title>
<link href="styles_admin.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div id="menu">
<?php include ("menu.php") ?>
</div>

<div id="main">

<h3>登録拒否リスト編集｜<?php echo $title ?></h3>

<p>複数のデータを入力するときは改行してください。</p>

<form action="<?php echo $_SERVER['PHP_SELF'].'?l='.$list ?>" method="post">
<input name="update" type="hidden" value="1" />
<textarea name="data" cols="30" rows="10">
<?php echo file_get_contents($file); ?>
</textarea>
<br />
<input type="submit" value="更新する" />
</form>

</div>

</body>
</html>
