<?php

session_cache_limiter('nocache');
session_start();

if ($_SESSION['login']!="ok") {
	session_destroy();
	header('Location:login.php');
}

if ($_POST['dl']!=1) die("ERROR");

if(!$select = $_POST['fd']) {
	$error = "出力する項目にチェックを入れてください。";
	include("../parts/error.php");
	exit();
};

include_once("../config.php");
require_once("../function/get_data.php");

$conn = new dbData("../db/".DB_NAME);
$config = $conn->config;

$title = "rm_entry";

$field = implode(",", $select);

$sql = "SELECT $field FROM rm_entry";
$res = $conn->db->unbufferedQuery($sql);

$tmp = tempnam("/tmp", "FOO");
$fp = fopen($tmp, "w");

fwrite($fp, $field."\n");

while ($row = $res->fetch()) {

	$data = NULL;
	$str = "%s,";

	foreach ($select as $key) {
		if (preg_match("/date/", $key)) {
			$data .= sprintf($str, '"'.date("Y-m-d H:i:s", $row[$key]).'"');
		} elseif ($key=="ctg") {
			$ctg_data = NULL;
			$category = unserialize($row['ctg']);
			$ctg_data = implode("~", $category);
			$data .= sprintf($str, '"'.$ctg_data.'"');
		} else {
			$data .= sprintf($str, '"'.$row[$key].'"');
		}
	}

	$data = rtrim($data, ",");
	$data = mb_convert_encoding($data, "SJIS", "UTF-8");

	fwrite($fp, $data."\n");

}

fclose($fp);

header('Content-type: application/x-csv');
header('Content-Disposition: attachment; filename="'.$title.'.csv"');
readfile($tmp);

unlink($tmp);

?>
