<?php

session_cache_limiter('nocache');
session_start();

include_once("../config.php");
require_once("../function/get_data.php");
require_once("../function/stz_data.php");

$conn = new dbData("../db/".DB_NAME);
$config = $conn->config;

$get = array_map("stz", $_GET);

switch ($get['status']) {

	case "out":
	$mes = "ログアウトしました。";
	session_destroy();
	break;

	case "error":
	$mes = "ログインできませんでした。";
	break;

	default:
	$mes = "こちらからログインしてください。";

}

if (intval($_POST['login'])==1) {

	$myinfo = array_map("stz", $_POST);

	$id = $myinfo['id'];
	$pwd = md5($myinfo['pwd']);

	$sql = "SELECT * FROM rm_admin;";
	$res = $conn->db->query($sql);
	$login = $res->fetch();

	if ($id==$login['id'] AND $pwd==$login['pwd']) {

		$_SESSION['login'] = "ok";

		//Cookieにログイン情報保存 60日有効
		$span = 60*60*24*60;
		if (intval($_POST['save'])==1) {
			setcookie("rm_admin", 'admin_id='.$id.'&admin_pwd='.$myinfo['pwd'].'&admin_save=1', time()+$span);
		} else {
			setcookie("rm_admin");
		}

		header('Location:index.php');

	} else {

		header('Location:'.$_SERVER['PHP_SELF'].'?status=error');

	}

}

parse_str($_COOKIE['rm_admin']);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $config['site_name'] ?>｜管理者ログイン</title>

<style type="text/css">
<!--
body {
	font-size: small;
	text-align: center;
}
-->
</style>
</head>

<body style="text-align:center">

<p><?php echo $mes ?></p>

<form action="login.php" method="post">
<input name="login" type="hidden" value="1" />
<table border="1" cellspacing="0" cellpadding="3">
<caption><?php echo $config['site_name'] ?>｜管理者ログイン</caption>
<tr>
<td>ID</td>
<td><input name="id" type="text" value="<?php echo $admin_id ?>" /></td>
</tr>
<tr>
<td>PASSWORD</td>
<td><input name="pwd" type="password" value="<?php echo $admin_pwd ?>" /></td>
</tr>
</table>
<input name="save" type="checkbox" value="1"<?php echo $admin_save==1 ? ' checked="checked"':"" ?> />
ログイン情報をCookieに保存する<br /><br />
<input type="submit" value="ログイン" />
</form>

</body>
</html>
