<?php

class ctgData {

	public $rawData;
	public $space;
	public $ctg;
	public $site;
	public $error;

	function __construct($id,$aid,$cache) {

		$file = 'ctg_data/'.$id.'.xml';

		//JeS[f[^̍XVԊu 7
		$span = 60*60*24*7;
		
		if (file_exists($file) AND time()-filemtime($file) < $span AND $cache==1) {
			$xml = simplexml_load_file($file);
		} else {
			$api_url = 'http://api.dir.yahoo.co.jp/Category/V1/Category?';
			$api_params = array(
				"appid" => $aid,
				"id" => $id
			);
			$api_url .= 'appid='.$api_params["appid"].'&id='.$api_params["id"];
			$new_xml = file_get_contents($api_url);
			$xml = simplexml_load_string($new_xml);
			if ($cache==1) @file_put_contents('ctg_data/'.$id.'.xml', $new_xml);
		}

		$this->rawData = $xml;
		$this->space = $xml->Space;
		$this->ctg = $xml->Category->Item;
		$this->site = $xml->Sites->Item;
		$this->error = $xml->Errors;

	}

	function navi() {
		$spath = explode("\t", $this->space->SPath);
		$jpath = explode("\t", $this->space->JPath);
		return array_combine($spath, $jpath);
	}

}

?>
