<?php 
header("Content-type: text/xml;charset=utf-8");

echo '<?xml version="1.0" encoding="UTF-8"?>'."\n";
echo '<rss version="2.0" xmlns:ror="http://rorweb.com/0.1/">'."\n";
echo '<channel>'."\n";
echo '<title>'.$sitename.' サイトマップ</title>'."\n";
echo '<link>'.$siteurl.'</link>'."\n";

echo '<item>'."\n";
echo '<title>Sitemap for '.$sitename.'</title>'."\n";
echo '<link>'.$siteurl.'sitemap.xml</link>'."\n";
echo '<description>Description of Site or Resource</description>'."\n";
echo '<ror:type>Feed</ror:type>'."\n";
echo '<ror:updated>'.date("Y-m-d", filemtime("sitemap.xml")).'</ror:updated>'."\n";
echo '<ror:updatePeriod>'.$changefreq.'</ror:updatePeriod>'."\n";
echo '</item>'."\n";

//テンプレート
$url_str = '<item>'."\n";
$url_str .= '<title>%1$s</title>'."\n";
$url_str .= '<link>'.$siteurl.'%2$s</link>'."\n";
$url_str .= '<ror:type>Page</ror:type>'."\n";
$url_str .= '<ror:seeAlso>'.$siteurl.'%2$s&amp;rss</ror:seeAlso>'."\n";
$url_str .= '</item>'."\n";

$url = NULL;

//トップページ
$url .= sprintf($url_str, '');

//新着サイト
$url .= sprintf($url_str, '新着サイト', 'rm_links.php?m=1&amp;s=2&amp;p=1');

//COOLサイト
$url .= sprintf($url_str, 'COOLサイト', 'rm_links.php?m=2&amp;s=2&amp;p=1');

//相互リンクサイト
$url .= sprintf($url_str, '相互リンクサイト', 'rm_links.php?m=3&amp;s=2&amp;p=1');

//カテゴリーページ
foreach ($ctg_data->ctg as $item) {
	$url .= sprintf($url_str, $item->Title, 'rm_ctg.php?id='.$item->Id.'&amp;s='.$config['dsp_order'].'&amp;p=1');
}

echo $url."\n";
echo '</channel>'."\n";
echo '</rss>'."\n";
?>