<?php

session_cache_limiter('private');
session_start();

include_once("config.php");
require_once("function/get_data.php");
require_once("function/myctg.php");
require_once("function/stz_data.php");

$conn = new dbData('db/'.DB_NAME);
$config = $conn->config;

$id = intval($_POST['id']);
$ct = stz($_POST['ct']);

$join = new myList();

switch ($_POST['mode']) {

	case "add":
	$myctg = $join->add($id,$ct);
	break;
	
	case "view":
	$myctg = $join->view();
	break;
	
	default:
	$myctg = $join->view();

}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="robots" content="INDEX,FOLLOW" />
<title><?php echo $config['site_name'] ?>｜マイカテゴリー</title>
<link href="styles.css" rel="stylesheet" type="text/css" />
</head>

<body>
<div id="contents">

<h1>マイカテゴリー</h1>

<div class="navi">
<a href="http://<?php echo $config['site_url'] ?>"><?php echo $config['site_name'] ?></a>&nbsp;&gt;&nbsp;マイカテゴリー
</div>

<blockquote>

<?php if (empty($myctg)) { ?>

<p>マイカテゴリーには何も入っていません。</p>
<a href="javascript:history.back()">戻る</a>

<?php } else { ?>

<p>サイトの登録へ進むときは、<a href="articles.php">利用規約</a>をお読みの上、登録するカテゴリーにチェックを入れてください。
登録できるカテゴリーは<?php echo $config['max_ctg'] ?>つまでです。
<a href="rm_myctg_cl.php">カテゴリー情報を消去する場合はこちらをクリック</a>してください。</p>

<form action="rm_reg.php" method="post">
<ol>
<?php
foreach ($myctg as $id=>$ctg) {
	$ctg_label = explode(",", $ctg);
?>
<li><input name="myctg[]" type="checkbox" value="<?php echo $id ?>|<?php echo $ctg ?>" />
<a href="rm_ctg.php?id=<?php echo $id ?>&s=<?php echo $config['dsp_order'] ?>&p=1"><?php echo end($ctg_label) ?></a>
（<?php echo str_replace(",", "&nbsp;&gt;&nbsp;", $ctg) ?>）</li>
<?php } ?>
</ol>
<input type="submit" value="サイトの登録" />
</form>

<?php } ?>

</blockquote>

<div id="footer">
<?php
$footer = file_get_contents("parts/footer.php");
echo "&copy;".date("Y").mb_convert_encoding($footer, "UTF-8", "auto");
?>
</div>

</div></body>
</html>
