<?php

session_cache_limiter('nocache');
session_start();

$_POST['regist'] AND $_SESSION['ctginfo'] AND $_SESSION['myinfo'] or die("ERROR");

include_once("config.php");
require_once("function/get_data.php");
require_once("function/send_mail.php");

$conn = new dbData('db/'.DB_NAME);
$config = $conn->config;

$data = $_SESSION['myinfo'];

//エントリーをDBに登録
$date = time();
$date_app = ($config['auto_app']==1)? $date:'';
$app = ($config['auto_app']==1)? 1:'';
$ctg = serialize($_SESSION['ctginfo']);
$pwd = str_rot13($data['pwd']);
$ip = $_SERVER['REMOTE_ADDR'];
$host = gethostbyaddr($_SERVER['REMOTE_ADDR']);
$agent = $_SERVER['HTTP_USER_AGENT'];

$sql = "
	BEGIN TRANSACTION;
	INSERT INTO rm_entry VALUES (
	NULL,
	'$app',
	'',
	'$date',
	'$date_app',
	'',
	'$data[title]',
	'$data[url]',
	'$data[tag]',
	'$ctg',
	'$data[summary]',
	'$data[link]',
	'$data[link_url]',
	'$data[name]',
	'$data[mail]',
	'$pwd',
	'$data[comment]',
	'$ip',
	'$host',
	'$agent'
	);
	COMMIT;
";

$conn->db->query($sql);
$chg = $conn->db->changes();

if ($chg != 1) {
	$error = "登録出来ませんでした。";
	include("parts/error.php");
	exit();
}

//仮登録メール
if (intval($_POST['sendmail'])==1) {
	sendMail("temp", $config, $data);
}

//正式登録メール
if ($config['auto_app']==1) {
	sendMail("reg", $config, $data);
}

//管理人あてメール
if ($config['entry_notice']==1) {
	$data['ip'] = $ip;
	$data['host'] = $host;
	$data['agent'] = $agent;
	sendMail("admin", $config, $data);
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $config['site_name'] ?>｜<?php echo ($config['auto_app']==1)? "登録完了":"仮登録完了" ?></title>
<link href="styles.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div id="contents">

<h1><?php echo $config['site_name'] ?>｜<?php echo ($config['auto_app']==1)? "登録完了":"仮登録完了" ?></h1>

<div class="navi">
<a href="http://<?php echo $config['site_url'] ?>"><?php echo $config['site_name'] ?></a>&nbsp;&gt;&nbsp;サイトの登録
</div>

<blockquote>

<?php if ($config['auto_app']==1) { ?>

<p>サイトを登録しました。</p>

<?php } else {  ?>

<p>仮登録を受け付けました。</p>

<p>申請されたサイトは、内容を確認後に正式登録されます。
サイトが正式登録された場合は、メールでお知らせいたします。
サイトの内容によっては、申請されたカテゴリーと異なるカテゴリーに登録されたり、登録されない場合があります。
どうぞご了承下さい。</p>

<?php } ?>

</blockquote>

<div id="footer">
<?php
$footer = file_get_contents("parts/footer.php");
echo "&copy;".date("Y").mb_convert_encoding($footer, "UTF-8", "auto");
?>
</div>

</div>
</body>
</html>
