<?php

include_once("config.php");
require_once("function/get_data.php");
require_once("function/get_order.php");
require_once("function/get_tag.php");
require_once("function/stz_data.php");

$query = stz($_GET['t']);
$sort = intval($_GET['s']);
$page = intval($_GET['p']);

//Yahoo!関連検索ワード取得
$data = yTag(APP_ID,$query);
for ($i=0; $i<3; $i++) {
	if (!empty($data->Result[$i])) {
		$meta_key .= $data->Result[$i].',';
	}
}

$conn = new dbData('db/'.DB_NAME);
$config = $conn->config;

$order = getOrder($sort);
$sql = "SELECT * FROM rm_entry WHERE tag LIKE '%$query%' ORDER BY $order;";
$res = $conn->db->arrayQuery($sql,SQLITE_ASSOC);

//データ表示用パラメータ
require_once("function/get_params.php");

//RSS作成
if (preg_match("/rss/", $_SERVER['QUERY_STRING'])) {

	//基本データ
	$sitename = $query.'関連ホームページ';
	$siteurl = 'http://'.$_SERVER['HTTP_HOST'].str_replace("&amp;rss", "", htmlentities($_SERVER['REQUEST_URI']));
	$sitedesc = 'キーワードに「'.$query.'」を設定している登録サイトです。';
	$creator = $config['site_name'];
	
	include("parts/disp_rss.php");
	
	exit();

}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="robots" content="INDEX,FOLLOW" />
<title><?php echo $query ?>関連ホームページ</title>
<meta name="description" content="<?php echo rtrim($meta_key, ",") ?> 関連ホームページの紹介・リンク集" />
<meta name="keywords" content="<?php echo rtrim($meta_key, ",") ?>" />
<link href="styles.css" rel="stylesheet" type="text/css" />
<link rel="alternate" type="application/rss+xml" title="<?php echo $query ?>関連ホームページ" href="<?php echo $_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING'].'&rss' ?>">
</head>

<body>

<div id="contents">

<h1><?php echo $query ?>関連ホームページ</h1>

<div class="navi">
<a href="http://<?php echo $config['site_url'] ?>"><?php echo $config['site_name'] ?></a>&nbsp;&gt;&nbsp;
<?php echo $query ?>関連ホームページ
</div>

<div id="right">

<?php
//フォーム
$param = "t";
$p_value = $query;
include("parts/disp_form.php");
?>

<h3 class="page_title">登録サイト（<?php echo $count ?>）</h3>

<a href="<?php echo $_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING'].'&rss' ?>"><img src="images/feed.png" alt="RSS/FEED" border="0" /></a>

<p>キーワードに「<strong><?php echo $query ?></strong>」を設定している登録サイトです。</p>

<?php
//サイト表示
include("parts/disp_site.php");

//ページング
$str = "%s?q=%s&p=%d";
$param = urlencode($query);
include("parts/disp_paging.php");
?>

</div>

<div id="left">
<p class="tag">
関連キーワード：<br />
<?php
if ($data['totalResultsReturned']==0) {
	echo "見つかりませんでした。";
} else {
$str = "%s?t=%s&s=%d&p=1";
foreach ($data->Result as $word) {
	$word = preg_replace("/$query| /", "", $word);
?>
<a href="<?php printf($str, $_SERVER['PHP_SELF'], urlencode($word), $sort) ?>"><?php echo $word ?></a>
<?php } ?>
<?php } ?>
</p>
</div>

<br clear="all" />

<div id="footer">
<?php
$footer = file_get_contents("parts/footer.php");
echo "&copy;".date("Y").mb_convert_encoding($footer, "UTF-8", "auto");
?>
</div>

</div>

</body>
</html>
