<?php

include_once("config.php");
include_once("setup_config.php");

//IDチェック
if (!preg_match("/^[a-zA-Z0-9_]{6,}$/", $id)) {
	exit("IDの形式が正しくありません。");
}

//パスワードチェック
if (!preg_match("/^[a-zA-Z0-9_@=#\*\$\-\+\?\[\]]{8,}$/", $pwd)) {
	exit("パスワードの形式が正しくありません。");
}

if (strcasecmp("password", $pwd)==0) {
	exit("大文字・小文字を問わず、パスワードに「PASSWORD」を使うことはできません。");
}

//メールアドレス形式チェック
if (!preg_match("/^[a-zA-Z0-9\._-]+@+[a-zA-Z0-9\._-]+\.+[a-zA-Z]{2,4}$/", $mail)) {
	exit("メールアドレスの形式が正しくありません。");
};

$pwd = md5($pwd);
$host = $_SERVER['HTTP_HOST'];

$conn = new SQLiteDatabase('db/'.DB_NAME);

//初期データ設定
$host = $_SERVER['HTTP_HOST'];
$sql = "
	BEGIN TRANSACTION;
	UPDATE rm_admin SET id='$id',pwd='$pwd';
	UPDATE rm_config SET site_url='$host',site_mail='$mail';
	COMMIT;
";

$chg = $conn->queryExec($sql, $error);

if ($chg) {
	$result = 'セットアップに成功しました。';
} else {
	$result = "セットアップに失敗しました。";
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>検索エンジン REMIXY セットアップ</title>
</head>

<body>

<center>

<a href="http://www.webloop.info/remixy/">
<img src="http://www.webloop.info/images/rimixy_logo.gif" alt="検索エンジン REMIXY" width="88" height="31" border="0" /></a>

<p><?php echo $result ?></p>

</center>

</body>

</html>