<?php

session_cache_limiter('nocache');
session_start();

if (!$_SESSION['user_login']=="ok" OR !$_SESSION['url']) {
	header('Location:user_login.php');
}

include_once("../config.php");
require_once("../function/get_data.php");

$conn = new dbData("../db/".DB_NAME);
$config = $conn->config;

$sql = "SELECT * FROM rm_useritem;";
$res = $conn->db->query($sql);
$userset = $res->fetch();

$sql = "SELECT * FROM rm_entry WHERE url='$_SESSION[url]';";
$res = $conn->db->query($sql);
$entry = $res->fetch();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $config['site_name'] ?>｜登録内容変更フォーム</title>
<link href="styles_user.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div id="main">

<div class="title">
登録情報の確認・変更&nbsp;【<a href="user_login.php?status=out">ログアウトはこちらから</a>】
</div>

<blockquote>

<h3>現在の登録情報</h3>

<p>色の付いた項目のみ変更できます。*のついた項目以外は記入必須項目です。HTMLタグは使用できません。</p>

<form action="edit_data_cfm.php" method="post">

<dl>

<dt>サイト名（全角<?php echo $config['max_title'] ?>字まで）</dt>
<dd><input name="title" type="text" size="30" value="<?php echo $entry['title'] ?>"<?php echo ($userset['title']==0)? ' disabled':' class="chg"' ?> />
</dd>

<dt>URL<?php if($config['entry_file']==0) {echo "（スラッシュ[/]で終わるURLのみ受け付けます）";} ?></dt>
<dd><input name="url" type="text" size="50" value="<?php echo $entry['url'] ?>"<?php echo ($userset['url']==0)? ' disabled':' class="chg"' ?> />
</dd>

<dt>カテゴリー</dt>
<dd><ol>
<?php
$ctg = unserialize($entry['ctg']);
for ($i=0; $i<$config['max_ctg']; $i++) {
	if ($ctg[$i]!="") {
	$ctg_path = explode("|",$ctg[$i]);
?>
<li><?php echo str_replace(",", "&nbsp;&gt;&nbsp;", $ctg_path[1]) ?><br />
<?php if ($userset['ctg']==1) { ?>
<a href="../view_category.php?id=<?php echo $ctg_path[0] ?>" target="_blank">修正</a>
<?php } ?>
<input name="ctg[]" type="text" size="50" value="<?php echo $ctg[$i] ?>"<?php echo ($userset['ctg']==0)? ' disabled':' class="chg"' ?> />
</li>
<?php } else { ?>
<li>
<?php if ($userset['ctg']==1) { ?>
<a href="../view_category.php?id=<?php echo strtok($config['site_ctg'],"|") ?>" target="_blank">追加</a>
<?php } ?>
<input name="ctg[]" type="text" size="50" value="<?php echo $ctg[$i] ?>"<?php echo ($userset['ctg']==0)? ' disabled':' class="chg"' ?> /></li>
<?php } ?>
<?php } ?>
</ol></dd>

<dt>サイトの説明（全角<?php echo $config['max_summary'] ?>字まで）</dt>
<dd><textarea name="summary" cols="50" rows="3"<?php echo ($userset['summary']==0)? ' disabled':' class="chg"' ?>><?php echo $entry['summary'] ?></textarea>
</dd>

<dt>キーワード*（<?php echo $config['max_tag'] ?>個まで・複数設定する場合はカンマ[,]で区切ってください）</dt>
<dd><input name="tag" type="text" size="30" value="<?php echo $entry['tag'] ?>"<?php echo ($userset['tag']==0)? ' disabled':' class="chg"' ?> /></dd>

<dt>お名前（ペンネーム）</dt>
<dd><input name="name" type="text" value="<?php echo $entry['name'] ?>"<?php echo ($userset['name']==0)? ' disabled':' class="chg"' ?> /></dd>

<dt>メールアドレス</dt>
<dd><input name="mail" type="text" size="30" value="<?php echo $entry['mail'] ?>"<?php echo ($userset['mail']==0)? ' disabled':' class="chg"' ?> />
</dd>

<dt>パスワード（6文字以上・半角英数字と次の記号のみ使用可 _ @ = # * $ - + ? [ ]）</dt>
<dd><input name="pwd" type="password" value="<?php echo str_rot13($entry['pwd']) ?>"<?php echo ($userset['tag']==0)? ' disabled':' class="chg"' ?> />
</dd>

</dl>

<input type="submit" value="変更する" />

</form>

</blockquote>

</div>

</body>
</html>
