<?php

session_cache_limiter('nocache');
session_start();

include_once("../config.php");
require_once("../function/get_data.php");
require_once("../function/stz_data.php");

$conn = new dbData("../db/".DB_NAME);
$config = $conn->config;

$get = array_map("stz", $_GET);

switch ($get['status']) {

	case "out":
	$mes = "ログアウトしました。";
	session_destroy();
	break;

	case "error":
	$mes = 'パスワードが違います。（<a href="reminder.php">パスワードを忘れた方はこちらへ</a>）';
	break;

	case "noentry":
	$mes = "入力されたURLは登録されていません。";
	break;

	default:
	$mes = "こちらからログインしてください。";

}

if (isset($_POST['login'])) {

	$myinfo = array_map("stz", $_POST);

	$url = $myinfo['url'];
	$pwd = str_rot13($myinfo['pwd']);

	$sql = "SELECT * FROM rm_entry WHERE url='$url';";
	$res = $conn->db->query($sql);
	$login = $res->fetch();

	if ($url==$login['url'] AND $pwd==$login['pwd']) {

		$_SESSION['user_login'] = "ok";
		$_SESSION['url'] = $url;

		//Cookieにログイン情報保存 60日有効
		$span = 60*60*24*60;
		if (intval($_POST['save'])==1) {
			setcookie("rm_user", 'user_url='.$url.'&user_pwd='.$myinfo['pwd'].'&user_save=1', time()+$span);
		} else {
			setcookie("rm_user");
		}

		header('Location:edit_data.php');

	}

	if (!$res->numRows()) {
		header('Location:'.$_SERVER['PHP_SELF'].'?status=noentry');
	}

	if ($url==$login['url'] AND $pwd!=$login['pwd']) {
		header('Location:'.$_SERVER['PHP_SELF'].'?status=error');
	}

}

parse_str($_COOKIE['rm_user']);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $config['site_name'] ?>｜ユーザーログイン</title>
<style type="text/css">
<!--
body {
	font-size: small;
	text-align: center;
}
-->
</style>
</head>

<body>

<p><?php echo $mes ?></p>

<form action="<?php echo $_SERVER['PHP_SELF'] ?>" method="post">
<table border="1" cellspacing="0" cellpadding="3">
<caption><?php echo $config['site_name'] ?>｜ユーザーログイン</caption>
<tr>
<td>URL</td>
<td><input name="url" type="text" value="<?php echo $user_url ?>" /></td>
</tr>
<tr>
<td>PASSWORD</td>
<td><input name="pwd" type="password" value="<?php echo $user_pwd ?>" /></td>
</tr>
</table>
<input name="save" type="checkbox" value="1"<?php echo $user_save==1 ? ' checked="checked"':"" ?> />
ログイン情報をCookieに保存する<br /><br />
<input name="login" type="submit" value="ログイン" />
</form>

</body>
</html>
