<?php

session_cache_limiter('nocache');
session_start();

if ($_SESSION['login']!="ok") {
	session_destroy();
	header('Location:login.php');
}

include_once("../config.php");
require_once("../function/get_data.php");
require_once("../function/stz_data.php");

$conn = new dbData("../db/".DB_NAME);
$config = $conn->config;

$dir = "db_backup";

$bu_id = date("YmdHis");

if (intval($_POST['exe'])==1) {
	$db = "../db/".DB_NAME;
	$to = "$dir/rm_".$bu_id.".db";
	copy($db, $to);
}

if (intval($_POST['del'])==1) {
	foreach ($_POST['delfiles'] as $file) {
		unlink("$dir/".$file);
	}
}

$files = scandir("$dir/");

krsort($files);

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>バックアップ</title>
<link href="styles_admin.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div id="menu">
<?php include ("menu.php") ?>
</div>

<div id="main">

<h3>バックアップ</h3>

<p>データベースのバックアップ・ファイルを作成します。</p>

保存ディレクトリ：admin/<?php echo $dir ?>

<form action="<?php echo $_SERVER['PHP_SELF'] ?>" method="post">
<input name="exe" type="hidden" value="1" />
<input type="submit" value="新規バックアップ・ファイルの作成" />
</form>

<?php if (preg_grep("/\.db$/", $files)) {?>

<form action="<?php echo $_SERVER['PHP_SELF'] ?>" method="post">
<input name="del" type="hidden" value="1" />
<table border="0" cellspacing="0" cellpadding="3" class="entry_tbl">
<caption>バックアップファイル一覧</caption>
<tr>
<th>作成日時</th>
<th>ファイル名</th>
<th>サイズ</th>
<th>削除</th>
</tr>
<?php
foreach ($files as $db) {
if (!is_dir($db) AND $db!="index.html") {
?>
<tr>
<td><?php echo date("Y-m-d H:i:s", filemtime($dir."/".$db)) ?></td>
<td><?php echo $db ?></td>
<td align="center"><?php echo number_format(filesize("$dir/".$db)) ?></td>
<td align="center"><input name="delfiles[]" type="checkbox" value="<?php echo $db ?>"<?php echo intval($_POST['all'])==1 ? ' checked="checked"':''?> /></td>
</tr>
<?php } ?>
<?php } ?>
</table>
<br />
<input type="submit" value="選択したファイルを削除" />
</form>

<form action="<?php echo $_SERVER['PHP_SELF'] ?>" method="post">
<input name="all" type="hidden" value="1" />
<input type="submit" value="全てをチェック" />
</form>

<?php } ?>

</div>

</body>
</html>
