<?php

session_cache_limiter('private');
session_start();

if ($_SESSION['login']!="ok") {
	session_destroy();
	header('Location:login.php');
}

include_once("../config.php");
require_once("../function/get_data.php");
require_once("../function/stz_data.php");

$conn = new dbData("../db/".DB_NAME);
$config = $conn->config;

$input = array_map("stz", $_POST);

if ($input['update']==1) {

	$sql = "
		BEGIN TRANSACTION;
		UPDATE rm_useritem SET 
		title='$input[title]',
		url='$input[url]',
		ctg='$input[ctg]',
		summary='$input[summary]',
		tag='$input[tag]',
		name='$input[name]',
		mail='$input[mail]',
		pwd='$input[pwd]';
		COMMIT;
		";

	$chg = $conn->db->queryExec($sql, $error);
	
	if ($chg) {
		$result = "設定を更新しました。";
	} else {
		$result = "設定を更新できませんでした。";
	}

	include("result.php");
	exit();

}

$sql = "SELECT * FROM rm_useritem;";
$res = $conn->db->query($sql);
$item = $res->fetch();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>ユーザー項目設定</title>
<link href="styles_admin.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div id="menu">
<?php include ("menu.php") ?>
</div>

<div id="main">

<h3>ユーザー項目設定</h3>

<p>ユーザーによる登録内容の変更を許可する項目を設定します。</p>

<form action="<?php echo $_SERVER['PHP_SELF'] ?>" method="post">
<input name="update" type="hidden" value="1" />
<table border="0" cellspacing="0" cellpadding="3" class="entry_tbl">
<tr><th>項目</th>
<th>○</th>
<th>×</th>
</tr>
<tr>
<td align="center">サイト名</td>
<td><input name="title" id="tt_1" type="radio" value="1"<?php echo $item['title']==1? ' checked="checked"':"" ?> /></td>
<td><input name="title" id="tt_0" type="radio" value="0"<?php echo $item['title']==0? ' checked="checked"':"" ?> /></td>
</tr>
<tr>
<td align="center">URL</td>
<td><input name="url" id="url_1" type="radio" value="1"<?php echo $item['url']==1? ' checked="checked"':"" ?> /></td>
<td><input name="url" id="url_0" type="radio" value="0"<?php echo $item['url']==0? ' checked="checked"':"" ?> /></td>
</tr>
<tr>
<td align="center">カテゴリー</td>
<td><input name="ctg" id="ctg_1" type="radio" value="1"<?php echo $item['ctg']==1? ' checked="checked"':"" ?> /></td>
<td><input name="ctg" id="ctg_0" type="radio" value="0"<?php echo $item['ctg']==0? ' checked="checked"':"" ?> /></td>
</tr>
<tr>
<td align="center">サイトの説明</td>
<td><input name="summary" id="sm_1" type="radio" value="1"<?php echo $item['summary']==1? ' checked="checked"':"" ?> /></td>
<td><input name="summary" id="sm_0" type="radio" value="0"<?php echo $item['summary']==0? ' checked="checked"':"" ?> /></td>
</tr>
<tr>
<td align="center">キーワード</td>
<td><input name="tag" id="tag_1" type="radio" value="1"<?php echo $item['tag']==1? ' checked="checked"':"" ?> /></td>
<td><input name="tag" id="tag_0" type="radio" value="0"<?php echo $item['tag']==0? ' checked="checked"':"" ?> /></td>
</tr>
<tr>
<td align="center">名前</td>
<td><input name="name" id="nm_1" type="radio" value="1"<?php echo $item['name']==1? ' checked="checked"':"" ?> /></td>
<td><input name="name" id="nm_0" type="radio" value="0"<?php echo $item['name']==0? ' checked="checked"':"" ?> /></td>
</tr>
<tr>
<td align="center">メールアドレス</td>
<td><input name="mail" id="ml_1" type="radio" value="1"<?php echo $item['mail']==1? ' checked="checked"':"" ?> /></td>
<td><input name="mail" id="ml_0" type="radio" value="0"<?php echo $item['mail']==0? ' checked="checked"':"" ?> /></td>
</tr>
<tr>
<td align="center">パスワード</td>
<td><input name="pwd" id="pwd_1" type="radio" value="1"<?php echo $item['pwd']==1? ' checked="checked"':"" ?> /></td>
<td><input name="pwd" id="pwd_0" type="radio" value="0"<?php echo $item['pwd']==0? ' checked="checked"':"" ?> /></td>
</tr>
</table>
<br />

<input type="submit" value="データを更新する" />

</form>

</div>

</body>
</html>
