<?php

session_cache_limiter('private');
session_start();

if ($_SESSION['login']!="ok") {
	session_destroy();
	header('Location:login.php');
}

include_once("../config.php");
require_once("../function/get_data.php");
require_once("../function/stz_data.php");

$conn = new dbData("../db/".DB_NAME);
$config = $conn->config;

$check = intval($_POST['all']);

if ((intval($_POST['dl'])==1)) {

	$title = "remixy";
	$select = array_map("stz", $_POST['fd']);
	$str = "%s,";

	foreach ($select as $value) {
		$field .= sprintf($str, $value);
	}
	$field = rtrim($field, ",");

	$sql = "SELECT $field FROM rm_entry";
	$res = $conn->db->query($sql);

	$tmp = tempnam("/tmp", "FOO");
	$fp = fopen($tmp, "w");

	while ($row = $res->fetch()) {
		$data = NULL;
		foreach ($select as $value) {
			$data .= sprintf($str, $row[$value]);
		}
		$data = rtrim($data, ",");
		fwrite($fp, $data."\n");
	}
	
	fclose($fp);
	
	header('Content-type: application/x-csv');
	header('Content-Disposition: attachment; filename="'.$title.'.csv"');
	readfile($tmp);
	
	unlink($tmp);

}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>エクスポート</title>
<link href="styles_admin.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div id="menu">
<?php include ("menu.php") ?>
</div>

<div id="main">

<h3>エクスポート</h3>

<p>選択した項目のデータをCSVファイルに出力します。</p>

<form action="<?php echo $_SERVER['PHP_SELF'] ?>" method="post">
全ての項目：
<input name="all" type="radio" value="1" id="on" /><label for="on">チェック</label>
<input name="all" type="radio" value="0" id="off" /><label for="off">解除</label>
<input type="submit" value="実行" />
</form>

<form action="get_csv.php" method="post">
<input name="dl" type="hidden" value="1" />
<table border="0" cellspacing="0" cellpadding="3" class="entry_tbl">
<tr>
<td align="center">ID</td>
<td><input name="fd[]" type="checkbox" value="id"<?php echo $check==1 ? ' checked="checked"':''?> /></td>
</tr>
<tr>
<td align="center">COOL</td>
<td><input name="fd[]" type="checkbox" value="cool"<?php echo $check==1 ? ' checked="checked"':''?> /></td>
</tr>
<tr>
<td align="center">申請日</td>
<td><input name="fd[]" type="checkbox" value="date_ent"<?php echo $check==1 ? ' checked="checked"':''?> /></td>
</tr>
<tr>
<td align="center">登録日</td>
<td><input name="fd[]" type="checkbox" value="date_app"<?php echo $check==1 ? ' checked="checked"':''?> /></td>
</tr>
<tr>
<td align="center">修正日</td>
<td><input name="fd[]" type="checkbox" value="date_rev"<?php echo $check==1 ? ' checked="checked"':''?> /></td>
</tr>
<tr>
<td align="center">サイト名</td>
<td><input name="fd[]" type="checkbox" value="title"<?php echo $check==1 ? ' checked="checked"':''?> /></td>
</tr>
<tr>
<td align="center">URL</td>
<td><input name="fd[]" type="checkbox" value="url"<?php echo $check==1 ? ' checked="checked"':''?> /></td>
</tr>
<tr>
<td align="center">キーワード</td>
<td><input name="fd[]" type="checkbox" value="tag"<?php echo $check==1 ? ' checked="checked"':''?> /></td>
</tr>
<tr>
<td align="center">カテゴリー</td>
<td><input name="fd[]" type="checkbox" value="ctg"<?php echo $check==1 ? ' checked="checked"':''?> /></td>
</tr>
<tr>
<td align="center">説明</td>
<td><input name="fd[]" type="checkbox" value="summary"<?php echo $check==1 ? ' checked="checked"':''?> /></td>
</tr>
<tr>
<td align="center">相互リンク</td>
<td><input name="fd[]" type="checkbox" value="link"<?php echo $check==1 ? ' checked="checked"':''?> /></td>
</tr>
<tr>
<td align="center">リンクURL</td>
<td><input name="fd[]" type="checkbox" value="link_url"<?php echo $check==1 ? ' checked="checked"':''?> /></td>
</tr>
<tr>
<td align="center">名前</td>
<td><input name="fd[]" type="checkbox" value="name"<?php echo $check==1 ? ' checked="checked"':''?> /></td>
</tr>
<tr>
<td align="center">メールアドレス</td>
<td><input name="fd[]" type="checkbox" value="mail"<?php echo $check==1 ? ' checked="checked"':''?> /></td>
</tr>
<tr>
<td align="center">コメント</td>
<td><input name="fd[]" type="checkbox" value="comment"<?php echo $check==1 ? ' checked="checked"':''?> /></td>
</tr>
<tr>
<td align="center">IPアドレス</td>
<td><input name="fd[]" type="checkbox" value="ip"<?php echo $check==1 ? ' checked="checked"':''?> /></td>
</tr>
<tr>
<td align="center">ホスト名</td>
<td><input name="fd[]" type="checkbox" value="host"<?php echo $check==1 ? ' checked="checked"':''?> /></td>
</tr>
<tr>
<td align="center">ブラウザー</td>
<td><input name="fd[]" type="checkbox" value="agt"<?php echo $check==1 ? ' checked="checked"':''?> /></td>
</tr>
</table>
<br />
<input type="submit" value="エクスポート" />
</form>

</div>

</body>
</html>
