<?php

session_cache_limiter('nocache');
session_start();

if ($_SESSION['login']!="ok") {
	session_destroy();
	header('Location:login.php');
}

include_once("../config.php");
require_once("../function/get_data.php");

$conn = new dbData("../db/".DB_NAME);
$config = $conn->config;

$before = filesize("../db/".DB_NAME);

if (isset($_POST['vac'])) {
	$sql = "VACUUM;";
	$conn->db->query($sql);
	clearstatcache();
	$after =filesize("../db/".DB_NAME);
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>不要領域の削除</title>
<link href="styles_admin.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div id="menu">
<?php include ("menu.php") ?>
</div>

<div id="main">

<h3>不要領域の削除</h3>

<p>データベースの不要領域を削除します。</p>

現在のサイズ：<?php echo number_format($before) ?> byte

<form action="<?php echo $_SERVER['PHP_SELF'] ?>" method="post">
<input name="vac" type="hidden" value="yes" />
<input type="submit" value="実行" />
</form>

<?php if (isset($_POST['vac'])) { ?>
実行後：<?php echo number_format($after) ?> byte (<?php echo number_format($after-$before) ?> byte)
<?php } ?>

</div>

</body>
</html>
