<?php

include_once("config.php");
require_once("function/get_data.php");

$conn = new dbData('db/'.DB_NAME);
$config = $conn->config;

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>利用規約｜<?php echo $config['site_name'] ?></title>
<link href="styles.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div id="contents">

<h1>利用規約</h1>

<div class="navi">
<a href="/"><?php echo $config['site_name'] ?></a>&nbsp;&gt;&nbsp;利用規約
</div>

<blockquote>

<h3>利用規約</h3>

<p><?php echo $config['site_name'] ?>（以下「当サイト」）では、提供するサービスの円滑な運営に必要な範囲で、当サイトを利用される皆様の情報を収集しています。
</p>

<p>ウェブサイトの登録にあたっては、メールアドレスの登録をお願いしています。
登録されたメールアドレス等は、各種お知らせの配信に利用することがあります。</p>

<p>法令に基づく開示要請があった場合、不正アクセス、脅迫等の違法行為があった場合、その他特別の理由のある場合を除き、当サイトでは収集した情報を第三者に提供いたしません。
ただし、統計的に処理された当サイトのアクセス情報、利用者属性等の情報については公表することがあります。
</p>

<p><?php echo date("Y年n月") ?><br />
<?php echo $config['site_name'] ?> 管理人</p>

</blockquote>

<div id="footer">
<?php
$footer = file_get_contents("parts/footer.php");
echo "&copy;".date("Y").mb_convert_encoding($footer, "UTF-8", "auto");
?>
</div>

</div>
</body>
</html>
