<?php
/*************************************
* REMIXY by WEBLOOP
* Copyright (c) 2008 Sward Co., Ltd.
* <contact@webloop.info>
* http://www.webloop.info/remixy/
* http://www.remixy.net/
* http://www.sward.co.jp/
* 2008-04-01 ver1.0
**************************************/

include_once("config.php");
require_once("function/get_data.php");
require_once("function/get_ctg.php");

$conn = new dbData('db/'.DB_NAME);
$config = $conn->config;

$sitename = $config['site_name'];
$sort = $config['dsp_order'];

$id = strtok($config['site_ctg'],"|");

$ctg_data = new ctgData($id,$aid,$config['cache']);

//RSS作成
if (preg_match("/ror/", $_SERVER['QUERY_STRING'])) {

	//基本データ
	$siteurl = 'http://'.$config['site_url'].'/';
	$changefreq = 'weekly';
	
	include("parts/disp_ror.php");
	
	exit();

}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="robots" content="INDEX,FOLLOW" />
<title><?php echo $ctg_data->space->Title ?>｜<?php echo $sitename ?></title>
<link href="styles.css" rel="stylesheet" type="text/css" />
<link rel="alternate" type="application/rss+xml" title="<?php echo $sitename ?> ROR Sitemap" href="?ror.xml">
</head>

<body>
<div id="contents">

<h1><?php echo $ctg_data->space->Title ?>｜<?php echo $sitename ?></h1>

<div class="navi">
<?php echo $sitename ?>&nbsp;&gt;&nbsp;ホーム
</div>

<div id="right">

<form action="rm_search.php" method="get">
<input name="q" type="text" />
<input name="s" type="hidden" value="<?php echo $sort ?>" />
<input name="p" type="hidden" value="1" />
<input type="submit" value="検索" />
</form>

<h3><?php echo $sitename ?>について</h3>

<p><?php echo $sitename ?>はディレクトリ型の検索エンジンです。
ご自分のホームページやブログを登録することができます。
なお、登録は無料です。</p>


<h3>ホームページの登録方法</h3>

<p><?php echo $sitename ?>に登録するには、まずご自分のホームページやブログのテーマに合ったカテゴリーを見つけてください。
カテゴリーが見つかったら「マイカテゴリーに追加」ボタンをクリックしてください。
登録するカテゴリーが決まったら、チェックを入れて「サイトの登録」をクリックしてください。</p>

<h3>ホームページ登録のヒント</h3>

<p>適切なカテゴリーを選ぶことはとても重要です。
ホームページやブログのタイトルを決めるときと同様に、丁寧に選ぶことをおすすめします。</p>

</div>

<div id="left">
<?php include("parts/main_menu.php") ?>
</div>

<br clear="all" />

<div id="footer">
<?php
$footer = file_get_contents("parts/footer.php");
echo "&copy;".date("Y").mb_convert_encoding($footer, "UTF-8", "auto");
?>
</div>

</div>
</body>
</html>
