<?php

session_cache_limiter('private');
session_start();

include_once("config.php");
require_once("function/check_form.php");
require_once("function/get_data.php");
require_once("function/stz_data.php");

$conn = new dbData('db/'.DB_NAME);
$config = $conn->config;

$myinfo = array_map("stz", $_POST);

$sql = "SELECT * FROM rm_entry WHERE url='$myinfo[url]';";
$entry = $conn->db->query($sql);

$userset = array(
"title" => 1,
"url" => 1,
"tag" => 1,
"ctg" => 1,
"summary" => 1,
"name" => 1,
"mail" => 1,
"pwd" => 1
);

$error = checkForm($myinfo,$config,$entry,$userset);

if (isset($error)) {
	include("parts/error.php");
	exit();
}

$_SESSION['myinfo'] = $myinfo;

$mes = '<span class="error">データが入力されていません。</span>';

$check = '$error = TRUE;';

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $config['site_name'] ?>｜登録内容の確認</title>
<link href="styles.css" rel="stylesheet" type="text/css" />
</head>

<body>
<div id="contents">

<h1><?php echo $config['site_name'] ?>｜登録内容の確認</h1>

<div class="navi">
<a href="http://<?php echo $config['site_url'] ?>"><?php echo $config['site_name'] ?></a>&nbsp;&gt;&nbsp;サイトの登録
</div>
<blockquote>

<h3>登録するカテゴリー</h3>

<ol>
<?php foreach ($_SESSION['ctginfo'] as $category) { ?>
<li><?php echo str_replace(",", "&nbsp;&gt;&nbsp;", preg_replace("/^[0-9]+\|/", "", $category)) ?></li>
<?php } ?>
</ol>

<h3>サイトと登録者に関する情報</h3>

<form action="rm_reg_end.php" method="post">

<table border="0" cellspacing="0" cellpadding="3" class="entry_tbl">
<tr>
<td align="center" nowrap="nowrap">サイト名</td>
<td>
<?php echo $_POST['title']? $myinfo['title']:$mes.eval($check) ?></td>
</tr>
<tr>
<td align="center" nowrap="nowrap">URL</td>
<td><?php echo $myinfo['url'] ?></td>
</tr>
<tr>
<td align="center" nowrap="nowrap">サイトの説明</td>
<td><?php echo $_POST['summary']? $myinfo['summary']:$mes.eval($check) ?></td>
</tr>
<tr>
<td align="center" nowrap="nowrap">キーワード</td>
<td><?php echo $_POST['tag']? $myinfo['tag']:"&nbsp;" ?></td>
</tr>
<tr>
<td align="center" nowrap="nowrap">お名前</td>
<td><?php echo $_POST['name']? $myinfo['name']:$mes.eval($check) ?></td>
</tr>
<tr>
<td align="center" nowrap="nowrap">メールアドレス</td>
<td><?php echo $myinfo['mail'] ?></td>
</tr>
<tr>
<td align="center" nowrap="nowrap">パスワード</td>
<td><?php echo $_POST['pwd']? preg_replace("/./", "*", $myinfo['pwd']):$mes.eval($check) ?></td>
</tr>
<tr>
<td align="center" nowrap="nowrap">相互リンク</td>
<td>
<?php
if ($_POST['link']==1 AND empty($_POST['link_url'])) {
	echo '<span class="error">相互リンクを希望する場合はリンク元を確認できるURLを記入してください。</span>'.eval($check);
} elseif ($_POST['link']==1) {
	echo $myinfo['link_url'];
} else {
	echo "希望しない";
}
?>
</tr>
<tr>
<td align="center" nowrap="nowrap">コメント</td>
<td><?php echo $_POST['comment']? $myinfo['comment']:"&nbsp;" ?></td>
</tr>
</table>
<br />

<?php if (isset($error)) {?>
<input type="button" value="戻る" onClick="history.back()">
<?php
} else {
	if ($config['auto_app']==0) {
?>
<input name="sendmail" type="checkbox" value="1" />
登録内容を<?php echo $myinfo['mail'] ?>にメールする<br /><br />
<?php } ?>
<input name="regist" type="submit" value="この内容で登録する" />
<?php } ?>

</form>

</blockquote>

<div id="footer">
<?php
$footer = file_get_contents("parts/footer.php");
echo "&copy;".date("Y").mb_convert_encoding($footer, "UTF-8", "auto");
?>
</div>

</div>
</body>
</html>
