<?php

include_once("config.php");
require_once("function/get_data.php");
require_once("function/get_order.php");
require_once("function/get_ysite.php");
require_once("function/stz_data.php");

$query = stz($_GET['q']);
$sort = intval($_GET['s']);
$page = intval($_GET['p']);

//Yahoo!検索結果取得
$data = ySite(APP_ID,$query,$start+1);

$conn = new dbData('db/'.DB_NAME);
$config = $conn->config;

$order = getOrder($sort);
$sql = "SELECT * FROM rm_entry WHERE app=1 AND (title LIKE '%$query%' OR ctg LIKE '%$query%' OR summary LIKE '%$query%' OR tag LIKE '%$query%' OR url LIKE '%$query%') ORDER BY $order;";
$res = $conn->db->arrayQuery($sql,SQLITE_ASSOC);

//データ表示用パラメータ
require_once("function/get_params.php");

//RSS作成
if (preg_match("/rss/", $_SERVER['QUERY_STRING'])) {

	//基本データ
	$sitename = '「'.$query.'」の検索結果 - '.$config['site_name'];
	$siteurl = 'http://'.$_SERVER['HTTP_HOST'].str_replace("&amp;rss", "", htmlentities($_SERVER['REQUEST_URI']));
	$sitedesc = '「'.$query.'」の検索結果';
	$creator = $config['site_name'];
	
	include("parts/disp_rss.php");
	
	exit();

}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>「<?php echo $query ?>」の検索結果</title>
<link href="styles.css" rel="stylesheet" type="text/css" />
<link rel="alternate" type="application/rss+xml" title="「<?php echo $query ?>」の検索結果" href="<?php echo $_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING'].'&rss' ?>">
</head>

<body>

<div id="contents">

<h1>「<?php echo $query ?>」の検索結果</h1>

<div class="navi">
<a href="http://<?php echo $config['site_url'] ?>"><?php echo $config['site_name'] ?></a>&nbsp;&gt;&nbsp;
「<?php echo $query ?>」の検索結果
</div>

<blockquote>

<?php
//フォーム
$param = "q";
$p_value = $query;
include("parts/disp_form.php");
?>

<h3 class="page_title">@<?php echo $config['site_name'] ?>（<?php echo $count ?>）</h3>

<a href="<?php echo $_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING'].'&rss' ?>"><img src="images/feed.png" alt="RSS/FEED" border="0" /></a>

<?php
//サイト表示
include("parts/disp_site.php");

//ページング
$str = "%s?q=%s&s=%d&p=%d";
$param = urlencode($query);
include("parts/disp_paging.php");
?>

<?php if ($config['dsp_ys']==1) { ?>

<h3>@Yahoo! JAPAN</h3>
<?php if ($data['totalResultsAvailable']==0) { ?>
<blockquote>見つかりませんでした。</blockquote>
<?php } else { ?>

<ol class="site">
<?php foreach ($data->Result as $item) { ?>
<li><a href="<?php echo $item->ClickUrl ?>" class="title"><?php echo $item->Title ?></a><br />
<?php echo preg_replace("/$query/", "<strong>$query</strong>", $item->Summary) ?><br />
<span class="url"><?php echo $item->Url ?></span></li>
<?php } ?>
</ol>
<?php } ?>

<?php } ?>

</blockquote>

<div id="footer">
<?php
$footer = file_get_contents("parts/footer.php");
echo "&copy;".date("Y").mb_convert_encoding($footer, "UTF-8", "auto");
?>
</div>

</div>

</body>
</html>
