<?php

session_cache_limiter('nocache');
session_start();

if (!$_SESSION['user_login']=="ok" OR !$_SESSION['url'] OR !$_SESSION['myinfo']) {
	header('Location:user_login.php');
}

include_once("../config.php");
require_once("../function/get_data.php");

$conn = new dbData("../db/".DB_NAME);
$config = $conn->config;

$data = $_SESSION['myinfo'];

$data['date_rev'] = time();

if (isset($data['ctg'])) {
	$data['ctg'] = serialize($data['ctg']);
}

if (isset($data['pwd'])) {
	$data['pwd'] = str_rot13($data['pwd']);
}

while(list($key, $val) = each($data) ){
	$up .= sprintf("%s='%s',", $key, $val);
}

$up = rtrim($up,",");

$sql = "BEGIN TRANSACTION;";
$sql .= "UPDATE rm_entry SET ";
$sql .= $up;
$sql .= " WHERE url='$_SESSION[url]';";
$sql .= "COMMIT;";

$chg = $conn->db->queryExec($sql, $error);

if ($chg) {
	$result = "登録情報を更新しました。";
} else {
	$result = "登録情報を更新できませんでした。";
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $config['site_name'] ?>｜<?php echo ($config['auto_app']==1)? "登録完了":"仮登録完了" ?></title>
<link href="styles_user.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div id="main">

<div class="title">
登録情報の確認・変更&nbsp;【<a href="user_login.php?status=out">ログアウトはこちらから</a>】
</div>

<blockquote>

<p><?php echo $result ?></p>

<p><a href="edit_data.php">現在の登録情報へ</a></p>

</blockquote>

</div>

</body>
</html>
