<?php

if (!$id = intval($_GET['id'])) {
	$error = "カテゴリーデータを取得できませんでした。";
	include("parts/error.php");
	exit();
}

include_once("config.php");
require_once("function/get_ctg.php");

$ctg_data = new ctgData($id,$aid,$config['cache']);
$navi = $ctg_data->navi();

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>カテゴリーデータ確認</title>
<link href="styles.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div id="contents">

<h1>カテゴリーデータ確認</h1>

<blockquote>

<p>カテゴリーデータを修正する場合は、下のボックスのデータをコピーして管理画面のカテゴリーデータ入力ボックスにペーストしてください。</p>

<input type="text" value="<?php echo $ctg_data->space->Id ?>|<?php echo str_replace("\t",",",$ctg_data->space->JPath) ?>" size="50" readonly="true"  onfocus="this.select()" />

<p>
カテゴリー
<?php foreach ($navi as $id=>$ctg) { ?>
&nbsp;&gt;&nbsp;<a href="view_category.php?id=<?php echo $id ?>"><?php echo $ctg ?></a>
<?php } ?>
</p>

<ul class="ctg">
サブカテゴリー
<?php foreach ($ctg_data->ctg as $item) { ?>
<li><a href="view_category.php?id=<?php echo $item->Id ?>"><?php echo $item->Title ?></a></li>
<?php } ?>
</ul>

</blockquote>

<div id="footer">
<?php
$footer = file_get_contents("parts/footer.php");
echo "&copy;".date("Y").mb_convert_encoding($footer, "UTF-8", "auto");
?>
</div>

</div>

</body>
</html>
